/**
* cbuffer.cpp
* Leeman Geophysical LLC (c) 2018
* Tilt Meter Logger
* 
* Circular buffer.
*/

#include "cbuffer.h"
#include "ptm100.h"

int cbuffer::data_length(void) {
  return ((write_loc - read_loc) & (size - 1));
}  
   
void cbuffer::write(ptmpacket& packet) {
  // if (data_length() == size-1) { // Buffer Full}
  buffer[write_loc] = packet;
  write_loc = (write_loc + 1) & (size - 1);
}  

ptmpacket cbuffer::read(void) {
  // if (data_length() == 0) { // Buffer Empty}
  ptmpacket d = buffer[read_loc];
  read_loc = (read_loc + 1) & (size - 1);
  return d;
}    
