/**
* cbuffer.h
* Leeman Geophysical LLC (c) 2018
* Tilt Meter Logger
* 
* Circular buffer.
*/

#ifndef __CBUFFER_H__
#define __CBUFFER_H__

#include "ptm100.h"

#define CBUFFER_SIZE 4

class cbuffer {
  public:
    char size;
    char read_loc;
    char write_loc;
    ptmpacket buffer [CBUFFER_SIZE];
    
    int data_length(void);
    void write(ptmpacket& packet);
    ptmpacket read(void);
    
    // default constructor
    cbuffer() {
      size = CBUFFER_SIZE;
      read_loc = 0;
      write_loc = 0;
    }  
};  

#endif
