/**
* logging.cpp
* Leeman Geophysical LLC (c) 2018
* Tilt Meter Logger
* 
* Logging utilities.
*/

#include "pins.h"
#include "simpletools.h"
#include "logging.h"
#include "status.h"

extern status sysstatus;

int mount_sdcard() {
  /*
   * Mount the SD card.
   */
  return sd_mount(PIN_SD_DAT0, PIN_SD_CLK, PIN_SD_CMD, PIN_SD_DAT3);
}

void unmount_sdcard() {
  /*
   * Unmount the SD card.
   */
  //sd_unmount;
}

void ensure_sdcard_mount(char logging_state, char sd_is_mounted) {
  /*
   * Given the logging state, ensure the card is mounted or unmounted as needed.
   */
  // If logging is on and card isn't mounted, mount it
  if ((logging_state == 1) && (sd_is_mounted == 0)) {
    mount_sdcard();
    sd_is_mounted = 1;
  }    
  
  // If logging is off and the card is mounted, unmount it
  if ((logging_state == 0) && (sd_is_mounted == 1)) {
    unmount_sdcard();
    sd_is_mounted = 0;
  }    
  // Otherwise all is well here
}
  