/**
* pins.h
* Leeman Geophysical LLC (c) 2018
* Tilt Meter Logger
* 
* Define hardware interface pin numbers.
*/

#ifndef __PINS_H__
#define __PINS_H__

#define PIN_PPS 0  // RTC PPS
#define PIN_INST_PWR 1  // Tilt meter instrument power switch
#define PIN_GPS_PWR 2 // GPS power switch
#define PIN_LOGGING_LED 3  // Green logging LED
#define PIN_WRITING_LED 4  // Yellow writing LED
#define PIN_READY_LED 5 // Green ready LED
#define PIN_GPS_LED 6 // Green GPS LED
#define PIN_ERROR_LED 7  // Red error LED
#define PIN_MUX1_DATA 8  // MUX 1 data output
#define PIN_MUX2_DATA 9  // MUX 2 data output
#define PIN_MUX_SEL_A 10  // MUX select A input
#define PIN_MUX_SEL_B 11  // MUX select B input
#define PIN_MUX_SEL_C 12  // MUX select C input
#define PIN_INST_TRIGGER 13  // PTM100 Trigger
#define PIN_INST_PDWN 14  // PTM100 Powerdown
#define PIN_INST_RESET 15  // PTM100 Reset
#define PIN_INST_CTL1 16  // PTM100 Control 1
#define PIN_INST_CTL2 17  // PTM100 Control 2
#define PIN_INST_CTL3 18  // PTM100 Control 3
#define PIN_SD_DAT0 19  // SD Card DAT0
#define PIN_SD_CLK 20  // SD Card CLK
#define PIN_SD_CMD 21  // SD Card CMD
#define PIN_SD_DAT3 22  // SD Card DAT3
#define PIN_SD_DETECT 23  // SD Card Detect
#define PIN_INST_TX 24  // Serial to instrument
#define PIN_INST_RX 25  // Serial from instrument
#define PIN_GPS_TX 26  // Serial to GPS
#define PIN_GPS_RX 27  // Serial from GPS
#define PIN_SCL 28  // I2C clock
#define PIN_SDA 29  // I2C data
#define PIN_COMP_TX 30  // Serial to computer
#define PIN_COMP_RX 31  // Serial from computer

#endif
